import "../_runtime.mjs";
import { h as require_react } from "../_libs/react+tanstack__react-query.mjs";
import { o as lazyRouteComponent, s as createFileRoute } from "../_libs/@tanstack/react-router+[...].mjs";
require_react();
var $$splitComponentImporter = () => import("./home.search-pQXmTQuR.mjs");
var Route = createFileRoute("/home/search")({
	component: lazyRouteComponent($$splitComponentImporter, "component"),
	validateSearch: (search) => ({ q: search.q || "" })
});
//#endregion
export { Route as t };
